Subject: [alpine-aports] [PATCH] testing/rcs: new aport

From: Valery Kartel <[email-masked]>
Date: Tue, 21 Feb 2017 11:50:52 +0200

Revision Control System
https://www.gnu.org/software/rcs
---
 testing/rcs/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/rcs/APKBUILD

diff --git a/testing/rcs/APKBUILD b/testing/rcs/APKBUILD
new file mode 100644
index 0000000000..bed4abb80e
--- /dev/null
+++ b/testing/rcs/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Valery Kartel <[email-masked]>
+# Maintainer: Valery Kartel <[email-masked]>
+pkgname=rcs
+pkgver=5.9.4
+pkgrel=0
+pkgdesc="Revision Control System"
+url="https://www.gnu.org/software/rcs"
+arch="all"
+license="GPL3"
+depends="diffutils"
+subpackages="$pkgname-doc"
+source="http://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	./configure \
+		CFLAGS="-std=c99" \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| retrun 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="c501a46b8d2e166ec0b54301d72687d9b38b31d84517fcc8dd560a296e7ad250962a92f019e53b2921af9045755e2e7f2f2acc9542dbe0d19ee110ef36861cd4  rcs-5.9.4.tar.xz"
-- 
2.11.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---